Verify Verification Code
curl --request POST \
--url https://api.spherepay.co/v2/customer/{id}/otp-verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "123456",
"type": "email"
}
'import requests
url = "https://api.spherepay.co/v2/customer/{id}/otp-verify"
payload = {
"code": "123456",
"type": "email"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '123456', type: 'email'})
};
fetch('https://api.spherepay.co/v2/customer/{id}/otp-verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "customer_f31121c389624d3697cbf3ea8830b7a4",
"verifiedAt": "2026-03-09T20:46:31.305Z"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Documentos y Verificación
Verificar un Código OTP del Cliente para Correo o Teléfono
Verify an OTP code for customer’s contact information.
Verify Verification Code
Verifica un código OTP que fue enviado previamente al correo electrónico o número de teléfono de un cliente vía el endpoint Enviar Código de Verificación. Una respuesta exitosa confirma que el cliente controla el canal de contacto especificado y avanza sus criterios de verificación KYC. Si el código ha expirado o es incorrecto, envía un nuevo código y solicita al cliente que intente de nuevo.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
Customer ID
Ejemplo:
"customer_f31121c389624d3697cbf3ea8830b7a4"
Cuerpo
application/json
Última modificación el 22 de junio de 2026